% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/read-citizendata.R
\name{as.data.frame.citizenair_userdata}
\alias{as.data.frame.citizenair_userdata}
\title{Convert citizen Excel data imported with \code{read_citizenair} to a data.frame}
\usage{
\method{as.data.frame}{citizenair_userdata}(x, row.names, optional, ...,
  type = c("meta", "measurements"))
}
\arguments{
\item{x}{an object of class \code{citizenair_userdata} as returned by \code{\link{read_citizenair}}}

\item{row.names}{not used}

\item{optional}{not used}

\item{...}{not used}

\item{type}{either 'meta' to get the meta information as a data.frame or 'measurements' to get the measurements data.frame}
}
\value{
a data.frame is returned
\enumerate{
\item{in case type is meta: contains fields sheet_id, sheet, device, lat, lon, phenomena}
\item{in case type is data: contains fields sheet_id, time, date, phenomena, value}
}
}
\description{
Convert citizen Excel data imported with \code{read_citizenair} to a data.frame
}
\examples{
filename <- system.file(package = "citizenair", "data-raw", "citizenair-example.xls")
x <- read_citizenair(filename)
meta <- as.data.frame(x, type = "meta")
measurements <- as.data.frame(x, type = "measurements")
}
